Bug 306932 - impossible to unlock pc (cannot switch ibus IME off from a locked screen: so cannot type my password)
Summary: impossible to unlock pc (cannot switch ibus IME off from a locked screen: so ...
Status: RESOLVED FIXED
Alias: None
Product: ksmserver
Classification: Unclassified
Component: lockscreen (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR critical with 71 votes (vote)
Target Milestone: ---
Assignee: David Edmundson
URL: https://git.reviewboard.kde.org/r/122...
Keywords:
: 328349 343957 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-09-17 13:39 UTC by freeeaks
Modified: 2015-02-17 08:33 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.2.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freeeaks 2012-09-17 13:39:29 UTC
short version:
impossible to switch off ibus-ime when screen is locked.

longer version:
i use ibus japanese ime (anthy).
i was typing some document in japanese, then i needed to get away from the pc for a minute or so, i then locked the screen, 
and when i came back it was impossible for me to input my password to unlock the screen because ime was active and there was no way to turn it off.  



Reproducible: Always

Steps to Reproduce:
1. activate ibus ime (non english input method .. say japanese ime for example)
2. lock the screen  (clicking kde menus with mouse)
3. impossible to turn off japanese ime from locked screen ( so: cannot input correct password)
Actual Results:  
ime cannot be turned off, so it's impossible to enter correct password (as input is in japanese and my password is in latin letters)

Expected Results:  
shortcut to turn ime off should work.
or there should be a button somewhere to select current input mode ...
or ime should be disabled completely for locked screen.

anything but the current situation.

i put this bug as critical. 
because, user gets locked out of his pc.. forced to hard reboot the machine.

only advanced users with terminal knowledge could solve this by switching to ttys and manualy kill ibus-daemon, then switch back to X, locked screen and finaly be able to input their passwords.
Comment 1 w94q1jadtmw8 2012-11-26 08:13:13 UTC
It should be possible to switch off ibus via one of it's keyboard shortcuts.

But: ibus IM should actually be switched off automatically for the password field because the password is AFAIK limited to ASCII characters. This functionality is already implemented and works great for password fields on web sites. But in case that this limitation to ASCII characters for passwords should change some time in the future the language panel has to be displayed, which was obviously the reason for this bug report.

-->
first possible bug fix: disable ibus IM for password input field
second possible bug fix: show ibus language panel on locked screen
Comment 2 mskyeong 2013-05-03 02:55:34 UTC
quite annoying bug, but you are not forced to hard reboot.

you can select "switch user" or open another TTY, 'killall ibus' quickly several times. then come back and type in the password, then run im-chooser to restart ibus.

this becomes more complicated when you were using external monitor with laptop panel turned off. because brightness is set to lowest and you may not able to turn that up. then it's good to know in advance what the login screen looks like, and where the cursor is placed (e.g., name or password?). once you're logged in, you can turn up the screen brightness as necessary.

I'd also like to add
third possible bug fix: don't ignore functional keys so user can switch to English input in ibus.
Comment 3 mskyeong 2013-05-03 03:03:40 UTC
and one more thing, anthy Japanese input does allow you to input numbers and alphabet without switching to English input mode.
how? type in uppercase (with shift pressed)! to type lowercase, turn on CAPS LOCK and type uppercase.
numbers and symbols may be types in as full-width and converted to half-width.
Comment 4 Hideki Saito 2013-12-27 20:06:44 UTC
There's actually a bit of security implication for this issue. I feel this should be considered a bit more serious than mere annoyances.

1) Obvious "over-the-shoulder" issue as it completely defeats password masking.
2) These input systems typically "learn" the input, hence allowing IME to be active on the password prompt may store passwords as auto complete. Some implementations (such as mozc) allow changing learning mode setting (putting it into a "secret mode") but since the password prompt does not provide a full IME interface (it does not provide drop down "kanji candidate" interface) accessing to this feature will be very difficult, as it is mostly impossible to know if this mode is toggled on or not. (Actually, it wouldn't have been so bad if it actually provides full ibus input functionalities -- then it can be turned off utilizing ibus's switching feature.)

While the availability of ibus language input on password prompt is pointless, and has its security consequences, I think what's worse is the fact that it only works partially.
Comment 5 sapradhan8 2014-11-26 20:02:26 UTC
i have been locked out twice now. I am on
kubuntu 14.04 LTS
KDE 4.13.3
ibus 1.5.5
Comment 6 Martin Flöser 2015-01-23 13:34:39 UTC
*** This bug has been confirmed by popular vote. ***
Comment 7 Eike Hein 2015-01-23 14:39:45 UTC
My dirty-but-effective suggestion would be to launch the lockscreen with an empty QT_IM_MODULE var, that will short out the IMEs.
Comment 8 Martin Flöser 2015-01-26 12:39:16 UTC
Review request with approach from comment #7: https://git.reviewboard.kde.org/r/122259/
Comment 9 Martin Flöser 2015-01-27 07:02:58 UTC
Git commit 22630f6169c3aa0818f14e9a8c237c3a0e66df5f by Martin Gräßlin.
Committed on 26/01/2015 at 12:36.
Pushed by graesslin into branch 'Plasma/5.2'.

[ksld/greeter] Disable all IM modules

With IM modules it's possible that one cannot unlock the screen at
all. So better disable all IM modules in the greeter. For that we
explicitly enforce the compose module, which is the fallback in Qt.
FIXED-IN: 5.2.1
REVIEW: 122259

M  +2    -0    ksmserver/screenlocker/greeter/main.cpp

http://commits.kde.org/plasma-workspace/22630f6169c3aa0818f14e9a8c237c3a0e66df5f
Comment 10 Martin Flöser 2015-02-09 08:49:34 UTC
*** Bug 343957 has been marked as a duplicate of this bug. ***
Comment 11 Martin Flöser 2015-02-15 20:15:02 UTC
*** Bug 328349 has been marked as a duplicate of this bug. ***
Comment 12 Michael Tsang 2015-02-17 08:31:38 UTC
Then is it possible to type in Chinese characters in a password field if the password is in Chinese?
Comment 13 Martin Flöser 2015-02-17 08:33:38 UTC
(In reply to Michael Tsang from comment #12)
> Then is it possible to type in Chinese characters in a password field if the
> password is in Chinese?

no, sorry the change makes it impossible to type in Chinese characters.